Skip to main content
GET
/
agents
/
{agentId}
/
a2a
/
tasks
cURL
curl --request GET \
  --url https://api.useanima.sh/v1/agents/{agentId}/a2a/tasks \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "<string>",
      "agentId": "<string>",
      "orgId": "<string>",
      "fromDid": "<string>",
      "toDid": "<string>",
      "type": "<string>",
      "input": {},
      "output": {},
      "error": {
        "code": "<string>",
        "message": "<string>"
      },
      "history": [
        {
          "timestamp": "2023-11-07T05:31:56Z",
          "message": "<string>"
        }
      ],
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "nextCursor": "<string>"
}

Authorizations

Authorization
string
header
required

JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer

Path Parameters

agentId
string
required

ID of the agent to list tasks for

Pattern: ^[0-9A-HJKMNP-TV-Z]{26}$

Query Parameters

status
enum<string>

Filter by task status

Available options:
submitted,
working,
input_required,
completed,
failed,
canceled
cursor
string

Cursor for pagination

Pattern: ^[0-9A-HJKMNP-TV-Z]{26}$
limit
integer
default:20

Maximum items per page

Required range: 1 <= x <= 100

Response

200 - application/json

OK

Paginated list of A2A tasks

items
object[]
required

Array of matching A2A tasks

nextCursor
string | null
required

Cursor for fetching the next page

Pattern: ^[0-9A-HJKMNP-TV-Z]{26}$